/**
 * @file cat.h
 * Header file for Cat class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _CAT_H
#define _CAT_H

#include "animal.h"
#include "meateffect.h"

class Cat : public Animal {
public:
    Cat(Vec3 position);

    virtual void tick(double t);

    virtual EffectHandler get_effect_handler(Effect *effect);
private:
    void _handle_meat_effect(MeatEffect *effect);
};

#endif // header guard
