/**
 * @file connectable.h
 * Header for Connectable class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _CONNECTABLE_H
#define _CONNECTABLE_H

#include "main.h"

class Object;

class Connectable {
public:
    Connectable() : _connection(NULL) {}
    void set_connection( Object* object ) { _connection = object; }
    Object* get_connection() { return _connection; }
    const Object* get_connection() const { return _connection; }
private:
    Object* _connection;
};

#endif // header guard
