/**
 * @file main.h
 * Includes and defines stuff common to all files.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _MAIN_H
#define _MAIN_H

#ifdef WIN32
#define BAD_PATH_SEP '/'
#define BAD_PATH_SEP_S "/"
#define PATH_SEP '\\'
#define PATH_SEP_S "\\"
#pragma warning(disable:4786)
//#pragma warning(disable:4099)
#else
#define PATH_SEP '/'
#define PATH_SEP_S '/'
#define BAD_PATH_SEP '\\'
#define BAD_PATH_SEP_S "\\"
#endif

#include <assert.h>

#include <string>
using namespace std;

typedef unsigned int uint;

struct CollisionFuncArg
{
    bool attach_joints;
};

#define DEG_TO_RAD(angle) (angle*M_PI/180.0)
#define RAD_TO_DEG(angle) (angle*180.0/M_PI)

#endif // header guard


