/**
 * @file shape.h
 * Shapes.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _SHAPE_H
#define _SHAPE_H

#include "main.h"

enum Shape {
    SHAPE_BOX,
    SHAPE_SPHERE,
    SHAPE_CYLINDER
};

inline string to_string( Shape s )
{
    switch ( s ) {
    case SHAPE_BOX: return "box";
    case SHAPE_SPHERE: return "sphere";
    case SHAPE_CYLINDER: return "cylinder";
    }
    return "";
}

#endif // header guard
